{
  config,
  sources,
  nixpkgs,
  ...
}:
{
  imports = [ (import (sources.signal-irc-bridge.outPath + "/module.nix")) ];

  systemd.services.signal-irc-bridge.serviceConfig = {
    Group = "nginx";
  };
  services.signal-irc-bridge = {
    enable = true;
    package = nixpkgs.unstable.callPackage (sources.signal-irc-bridge.outPath + "/package.nix") { };
    configFile = config.age.secrets."signal-irc-bridge-config".path;
  };
}
